Skip to content
javinfo

Search Idols ( multiple results )

GET
/idols

Authorization

apiKey
headerx-javinfo-key<token>

Your javinfo API key. Create one in the dashboard.

q?string
Default""
filter?
sort?string
Value in"relevance""name""age""debut""height"
page?integer
Range1 <= value <= 9007199254740991
num?integer
Range1 <= value <= 9007199254740991
Default10

Response Body

OK

application/json
  1. response
q*string
source*unknown
count*number
total?number
results*array<>
Example Request
curl -X GET 'https://api.javinfo.dev/idols'
Example Response
{  "q": "string",  "source": "idols",  "count": 0,  "total": 0,  "results": [    {      "id": "string",      "name": "string",      "nameJa": "string",      "image": "string",      "tags": [        "string"      ],      "pageUrl": "string"    }  ]}